iterator_info_s(3)

NAME
iterator_info_s - Holds iterator information containing functions which should be called by the iterator_handler to loop over your data set and sort it in a SNMP specific manner.

SYNOPSIS

  Data Fields
void * user_ctx
This can be used by client handlers to store any information they need.

DETAILED DESCRIPTION

Holds iterator information containing functions which should be called by the iterator_handler to loop over your data set and sort it in a SNMP specific manner.

The iterator_info typedef can be used instead of directly calling this struct if you would prefer.

Definition at line 43 of file container_iterator.c.

FIELD DOCUMENTATION

  void* iterator_info_s::user_ctx

This can be used by client handlers to store any information they need.

Definition at line 73 of file container_iterator.c.

AUTHOR

Generated automatically by Doxygen for net-snmp from the source code.